Changeset 527

Show
Ignore:
Timestamp:
03/07/08 14:22:20 (16 months ago)
Author:
hobu
Message:

default to not using GDAL in the configure line

Location:
trunk
Files:
4 modified

Legend:

Unmodified
Added
Removed
  • trunk/configure

    r504 r527  
    870870ac_ct_F77 
    871871LIBTOOL 
     872GDAL_INC GDAL_PREFIX 
    872873LIBOBJS 
    873874LTLIBOBJS' 
     
    14831484                          both] 
    14841485  --with-tags[=TAGS]      include additional configurations [automatic] 
     1486  --with-gdal=ARG         Path to gdal-config 
    14851487 
    14861488Some influential environment variables: 
     
    51135115*-*-irix6*) 
    51145116  # Find out which ABI we are using. 
    5115   echo '#line 5115 "configure"' > conftest.$ac_ext 
     5117  echo '#line 5117 "configure"' > conftest.$ac_ext 
    51165118  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 
    51175119  (eval $ac_compile) 2>&5 
     
    73727374   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ 
    73737375   -e 's:$: $lt_compiler_flag:'` 
    7374    (eval echo "\"\$as_me:7374: $lt_compile\"" >&5) 
     7376   (eval echo "\"\$as_me:7376: $lt_compile\"" >&5) 
    73757377   (eval "$lt_compile" 2>conftest.err) 
    73767378   ac_status=$? 
    73777379   cat conftest.err >&5 
    7378    echo "$as_me:7378: \$? = $ac_status" >&5 
     7380   echo "$as_me:7380: \$? = $ac_status" >&5 
    73797381   if (exit $ac_status) && test -s "$ac_outfile"; then 
    73807382     # The compiler can only warn and ignore the option if not recognized 
     
    76407642   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ 
    76417643   -e 's:$: $lt_compiler_flag:'` 
    7642    (eval echo "\"\$as_me:7642: $lt_compile\"" >&5) 
     7644   (eval echo "\"\$as_me:7644: $lt_compile\"" >&5) 
    76437645   (eval "$lt_compile" 2>conftest.err) 
    76447646   ac_status=$? 
    76457647   cat conftest.err >&5 
    7646    echo "$as_me:7646: \$? = $ac_status" >&5 
     7648   echo "$as_me:7648: \$? = $ac_status" >&5 
    76477649   if (exit $ac_status) && test -s "$ac_outfile"; then 
    76487650     # The compiler can only warn and ignore the option if not recognized 
     
    77447746   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ 
    77457747   -e 's:$: $lt_compiler_flag:'` 
    7746    (eval echo "\"\$as_me:7746: $lt_compile\"" >&5) 
     7748   (eval echo "\"\$as_me:7748: $lt_compile\"" >&5) 
    77477749   (eval "$lt_compile" 2>out/conftest.err) 
    77487750   ac_status=$? 
    77497751   cat out/conftest.err >&5 
    7750    echo "$as_me:7750: \$? = $ac_status" >&5 
     7752   echo "$as_me:7752: \$? = $ac_status" >&5 
    77517753   if (exit $ac_status) && test -s out/conftest2.$ac_objext 
    77527754   then 
     
    1005210054  lt_status=$lt_dlunknown 
    1005310055  cat > conftest.$ac_ext <<EOF 
    10054 #line 10054 "configure" 
     10056#line 10056 "configure" 
    1005510057#include "confdefs.h" 
    1005610058 
     
    1015210154  lt_status=$lt_dlunknown 
    1015310155  cat > conftest.$ac_ext <<EOF 
    10154 #line 10154 "configure" 
     10156#line 10156 "configure" 
    1015510157#include "confdefs.h" 
    1015610158 
     
    1248812490   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ 
    1248912491   -e 's:$: $lt_compiler_flag:'` 
    12490    (eval echo "\"\$as_me:12490: $lt_compile\"" >&5) 
     12492   (eval echo "\"\$as_me:12492: $lt_compile\"" >&5) 
    1249112493   (eval "$lt_compile" 2>conftest.err) 
    1249212494   ac_status=$? 
    1249312495   cat conftest.err >&5 
    12494    echo "$as_me:12494: \$? = $ac_status" >&5 
     12496   echo "$as_me:12496: \$? = $ac_status" >&5 
    1249512497   if (exit $ac_status) && test -s "$ac_outfile"; then 
    1249612498     # The compiler can only warn and ignore the option if not recognized 
     
    1259212594   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ 
    1259312595   -e 's:$: $lt_compiler_flag:'` 
    12594    (eval echo "\"\$as_me:12594: $lt_compile\"" >&5) 
     12596   (eval echo "\"\$as_me:12596: $lt_compile\"" >&5) 
    1259512597   (eval "$lt_compile" 2>out/conftest.err) 
    1259612598   ac_status=$? 
    1259712599   cat out/conftest.err >&5 
    12598    echo "$as_me:12598: \$? = $ac_status" >&5 
     12600   echo "$as_me:12600: \$? = $ac_status" >&5 
    1259912601   if (exit $ac_status) && test -s out/conftest2.$ac_objext 
    1260012602   then 
     
    1416214164   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ 
    1416314165   -e 's:$: $lt_compiler_flag:'` 
    14164    (eval echo "\"\$as_me:14164: $lt_compile\"" >&5) 
     14166   (eval echo "\"\$as_me:14166: $lt_compile\"" >&5) 
    1416514167   (eval "$lt_compile" 2>conftest.err) 
    1416614168   ac_status=$? 
    1416714169   cat conftest.err >&5 
    14168    echo "$as_me:14168: \$? = $ac_status" >&5 
     14170   echo "$as_me:14170: \$? = $ac_status" >&5 
    1416914171   if (exit $ac_status) && test -s "$ac_outfile"; then 
    1417014172     # The compiler can only warn and ignore the option if not recognized 
     
    1426614268   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ 
    1426714269   -e 's:$: $lt_compiler_flag:'` 
    14268    (eval echo "\"\$as_me:14268: $lt_compile\"" >&5) 
     14270   (eval echo "\"\$as_me:14270: $lt_compile\"" >&5) 
    1426914271   (eval "$lt_compile" 2>out/conftest.err) 
    1427014272   ac_status=$? 
    1427114273   cat out/conftest.err >&5 
    14272    echo "$as_me:14272: \$? = $ac_status" >&5 
     14274   echo "$as_me:14274: \$? = $ac_status" >&5 
    1427314275   if (exit $ac_status) && test -s out/conftest2.$ac_objext 
    1427414276   then 
     
    1646416466   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ 
    1646516467   -e 's:$: $lt_compiler_flag:'` 
    16466    (eval echo "\"\$as_me:16466: $lt_compile\"" >&5) 
     16468   (eval echo "\"\$as_me:16468: $lt_compile\"" >&5) 
    1646716469   (eval "$lt_compile" 2>conftest.err) 
    1646816470   ac_status=$? 
    1646916471   cat conftest.err >&5 
    16470    echo "$as_me:16470: \$? = $ac_status" >&5 
     16472   echo "$as_me:16472: \$? = $ac_status" >&5 
    1647116473   if (exit $ac_status) && test -s "$ac_outfile"; then 
    1647216474     # The compiler can only warn and ignore the option if not recognized 
     
    1673216734   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ 
    1673316735   -e 's:$: $lt_compiler_flag:'` 
    16734    (eval echo "\"\$as_me:16734: $lt_compile\"" >&5) 
     16736   (eval echo "\"\$as_me:16736: $lt_compile\"" >&5) 
    1673516737   (eval "$lt_compile" 2>conftest.err) 
    1673616738   ac_status=$? 
    1673716739   cat conftest.err >&5 
    16738    echo "$as_me:16738: \$? = $ac_status" >&5 
     16740   echo "$as_me:16740: \$? = $ac_status" >&5 
    1673916741   if (exit $ac_status) && test -s "$ac_outfile"; then 
    1674016742     # The compiler can only warn and ignore the option if not recognized 
     
    1683616838   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ 
    1683716839   -e 's:$: $lt_compiler_flag:'` 
    16838    (eval echo "\"\$as_me:16838: $lt_compile\"" >&5) 
     16840   (eval echo "\"\$as_me:16840: $lt_compile\"" >&5) 
    1683916841   (eval "$lt_compile" 2>out/conftest.err) 
    1684016842   ac_status=$? 
    1684116843   cat out/conftest.err >&5 
    16842    echo "$as_me:16842: \$? = $ac_status" >&5 
     16844   echo "$as_me:16844: \$? = $ac_status" >&5 
    1684316845   if (exit $ac_status) && test -s out/conftest2.$ac_objext 
    1684416846   then 
     
    1997219974 
    1997319975 
     19976 
     19977 
     19978 
     19979# Check whether --with-gdal was given. 
     19980if test "${with_gdal+set}" = set; then 
     19981  withval=$with_gdal; 
     19982fi 
     19983 
     19984if test "$with_gdal" = "no" -o "$with_gdal" = "" ; then 
     19985  GDAL_CONFIG="$with_gdal" 
     19986else 
     19987  if test "`basename xx/$with_gdal`" = "gdal-config" ; then 
     19988    { echo "$as_me:$LINENO: result: GDAL enabled with provided gdal-config" >&5 
     19989echo "${ECHO_T}GDAL enabled with provided gdal-config" >&6; } 
     19990    GDAL_CONFIG="$with_gdal" 
     19991  else 
     19992    { { echo "$as_me:$LINENO: error: --with-gdal should have yes or a path to gdal-config" >&5 
     19993echo "$as_me: error: --with-gdal should have yes or a path to gdal-config" >&2;} 
     19994   { (exit 1); exit 1; }; } 
     19995  fi 
     19996fi 
     19997if test "$GDAL_CONFIG" != "no" ; then 
     19998  VERSION=`$GDAL_CONFIG --version` 
     19999  { echo "$as_me:$LINENO: result: $GDAL_CONFIG reports version $VERSION" >&5 
     20000echo "${ECHO_T}$GDAL_CONFIG reports version $VERSION" >&6; } 
     20001  LIBS="`$GDAL_CONFIG --libs` $LIBS" 
     20002  GDAL_INC=`$GDAL_CONFIG --cflags` 
     20003  GDAL_PREFIX=`$GDAL_CONFIG --prefix` 
     20004  OGR=`$GDAL_CONFIG --ogr-enabled` 
     20005  if test "$OGR" != "yes" ; then 
     20006        { { echo "$as_me:$LINENO: error: $GDAL_CONFIG says OGR is not enabled" >&5 
     20007echo "$as_me: error: $GDAL_CONFIG says OGR is not enabled" >&2;} 
     20008   { (exit 1); exit 1; }; } 
     20009  fi 
     20010fi 
    1997420011 
    1997520012 
     
    2090420941ac_ct_F77!$ac_ct_F77$ac_delim 
    2090520942LIBTOOL!$LIBTOOL$ac_delim 
     20943GDAL_INC!$GDAL_INC$ac_delim 
     20944GDAL_PREFIX!$GDAL_PREFIX$ac_delim 
    2090620945LIBOBJS!$LIBOBJS$ac_delim 
    2090720946LTLIBOBJS!$LTLIBOBJS$ac_delim 
    2090820947_ACEOF 
    2090920948 
    20910   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 6; then 
     20949  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 8; then 
    2091120950    break 
    2091220951  elif $ac_last_try; then 
     
    2140221441 
    2140321442 
     21443echo "  GDAL support........: ${with_gdal}" 
     21444 
     21445 
    2140421446echo "" 
    2140521447 
  • trunk/configure.ac

    r526 r527  
    7171dnl ########################################################### 
    7272AC_ARG_WITH(gdal,[  --with-gdal=ARG         Path to gdal-config],,) 
    73 if test "$with_gdal" = "yes" -o "$with_gdal" = "" ; then 
    74   AC_PATH_PROG(GDAL_CONFIG, gdal-config, no) 
     73if test "$with_gdal" = "no" -o "$with_gdal" = "" ; then 
     74  GDAL_CONFIG="$with_gdal" 
     75dnl  AC_PATH_PROG(GDAL_CONFIG, gdal-config, no) 
    7576else 
    7677  if test "`basename xx/$with_gdal`" = "gdal-config" ; then 
  • trunk/libtool

    r504 r527  
    4141 
    4242# The names of the tagged configurations supported by this script. 
    43 available_tags=" CXX F77" 
     43available_tags=" CXX" 
    4444 
    4545# ### BEGIN LIBTOOL CONFIG 
    4646 
    47 # Libtool was configured on host fire.hobu.net: 
     47# Libtool was configured on host torch.local: 
    4848 
    4949# Shell to use when invoking shell scripts. 
     
    72137213# ### BEGIN LIBTOOL TAG CONFIG: CXX 
    72147214 
    7215 # Libtool was configured on host fire.hobu.net: 
     7215# Libtool was configured on host torch.local: 
    72167216 
    72177217# Shell to use when invoking shell scripts. 
     
    75167516# ### END LIBTOOL TAG CONFIG: CXX 
    75177517 
    7518 # ### BEGIN LIBTOOL TAG CONFIG: F77 
    7519  
    7520 # Libtool was configured on host fire.hobu.net: 
    7521  
    7522 # Shell to use when invoking shell scripts. 
    7523 SHELL="/bin/sh" 
    7524  
    7525 # Whether or not to build shared libraries. 
    7526 build_libtool_libs=yes 
    7527  
    7528 # Whether or not to build static libraries. 
    7529 build_old_libs=yes 
    7530  
    7531 # Whether or not to add -lc for building shared libraries. 
    7532 build_libtool_need_lc=no 
    7533  
    7534 # Whether or not to disallow shared libs when runtime libs are static 
    7535 allow_libtool_libs_with_static_runtimes=no 
    7536  
    7537 # Whether or not to optimize for fast installation. 
    7538 fast_install=needless 
    7539  
    7540 # The host system. 
    7541 host_alias= 
    7542 host=i686-apple-darwin9.2.0 
    7543 host_os=darwin9.2.0 
    7544  
    7545 # The build system. 
    7546 build_alias= 
    7547 build=i686-apple-darwin9.2.0 
    7548 build_os=darwin9.2.0 
    7549  
    7550 # An echo program that does not interpret backslashes. 
    7551 echo="/bin/echo" 
    7552  
    7553 # The archiver. 
    7554 AR="ar" 
    7555 AR_FLAGS="cru" 
    7556  
    7557 # A C compiler. 
    7558 LTCC="gcc" 
    7559  
    7560 # LTCC compiler flags. 
    7561 LTCFLAGS="-Wall -Wno-long-long -pedantic -ansi " 
    7562  
    7563 # A language-specific compiler. 
    7564 CC="g77" 
    7565  
    7566 # Is the compiler the GNU C compiler? 
    7567 with_gcc=yes 
    7568  
    7569 # An ERE matcher. 
    7570 EGREP="/usr/bin/grep -E" 
    7571  
    7572 # The linker used to build libraries. 
    7573 LD="/usr/libexec/gcc/i686-apple-darwin9/4.0.1/ld" 
    7574  
    7575 # Whether we need hard or soft links. 
    7576 LN_S="ln -s" 
    7577  
    7578 # A BSD-compatible nm program. 
    7579 NM="/usr/bin/nm -p" 
    7580  
    7581 # A symbol stripping program 
    7582 STRIP="strip" 
    7583  
    7584 # Used to examine libraries when file_magic_cmd begins "file" 
    7585 MAGIC_CMD=file 
    7586  
    7587 # Used on cygwin: DLL creation program. 
    7588 DLLTOOL="dlltool" 
    7589  
    7590 # Used on cygwin: object dumper. 
    7591 OBJDUMP="objdump" 
    7592  
    7593 # Used on cygwin: assembler. 
    7594 AS="as" 
    7595  
    7596 # The name of the directory that contains temporary libtool files. 
    7597 objdir=.libs 
    7598  
    7599 # How to create reloadable object files. 
    7600 reload_flag=" -r" 
    7601 reload_cmds="\$LTCC \$LTCFLAGS -nostdlib \${wl}-r -o \$output\$reload_objs" 
    7602  
    7603 # How to pass a linker flag through the compiler. 
    7604 wl="-Wl," 
    7605  
    7606 # Object file suffix (normally "o"). 
    7607 objext="o" 
    7608  
    7609 # Old archive suffix (normally "a"). 
    7610 libext="a" 
    7611  
    7612 # Shared library suffix (normally ".so"). 
    7613 shrext_cmds='`test .$module = .yes && echo .so || echo .dylib`' 
    7614  
    7615 # Executable file suffix (normally ""). 
    7616 exeext="" 
    7617  
    7618 # Additional compiler flags for building library objects. 
    7619 pic_flag=" -fno-common" 
    7620 pic_mode=default 
    7621  
    7622 # What is the maximum length of a command? 
    7623 max_cmd_len=196608 
    7624  
    7625 # Does compiler simultaneously support -c and -o options? 
    7626 compiler_c_o="yes" 
    7627  
    7628 # Must we lock files when doing compilation? 
    7629 need_locks="no" 
    7630  
    7631 # Do we need the lib prefix for modules? 
    7632 need_lib_prefix=no 
    7633  
    7634 # Do we need a version for libraries? 
    7635 need_version=no 
    7636  
    7637 # Whether dlopen is supported. 
    7638 dlopen_support=unknown 
    7639  
    7640 # Whether dlopen of programs is supported. 
    7641 dlopen_self=unknown 
    7642  
    7643 # Whether dlopen of statically linked programs is supported. 
    7644 dlopen_self_static=unknown 
    7645  
    7646 # Compiler flag to prevent dynamic linking. 
    7647 link_static_flag="" 
    7648  
    7649 # Compiler flag to turn off builtin functions. 
    7650 no_builtin_flag="" 
    7651  
    7652 # Compiler flag to allow reflexive dlopens. 
    7653 export_dynamic_flag_spec="" 
    7654  
    7655 # Compiler flag to generate shared objects directly from archives. 
    7656 whole_archive_flag_spec="" 
    7657  
    7658 # Compiler flag to generate thread-safe objects. 
    7659 thread_safe_flag_spec="" 
    7660  
    7661 # Library versioning type. 
    7662 version_type=darwin 
    7663  
    7664 # Format of library name prefix. 
    7665 libname_spec="lib\$name" 
    7666  
    7667 # List of archive names.  First name is the real one, the rest are links. 
    7668 # The last name is the one that the linker finds with -lNAME. 
    7669 library_names_spec="\${libname}\${release}\${major}\$shared_ext \${libname}\$shared_ext \${libname}\${release}\${versuffix}\$shared_ext" 
    7670  
    7671 # The coded name of the library, if different from the real name. 
    7672 soname_spec="\${libname}\${release}\${major}\$shared_ext" 
    7673  
    7674 # Commands used to build and install an old-style archive. 
    7675 RANLIB="ranlib" 
    7676 old_archive_cmds="\$AR \$AR_FLAGS \$oldlib\$oldobjs\$old_deplibs~\$RANLIB \$oldlib" 
    7677 old_postinstall_cmds="chmod 644 \$oldlib~\$RANLIB \$oldlib" 
    7678 old_postuninstall_cmds="" 
    7679  
    7680 # Create an old-style archive from a shared archive. 
    7681 old_archive_from_new_cmds="" 
    7682  
    7683 # Create a temporary old-style archive to link instead of a shared archive. 
    7684 old_archive_from_expsyms_cmds="" 
    7685  
    7686 # Commands used to build and install a shared archive. 
    7687 archive_cmds="\$CC -dynamiclib \$allow_undefined_flag -o \$lib \$libobjs \$deplibs \$compiler_flags -install_name \$rpath/\$soname \$verstring" 
    7688 archive_expsym_cmds="sed -e \\\"s,#.*,,\\\" -e \\\"s,^[    ]*,,\\\" -e \\\"s,^\\\\(..*\\\\),_&,\\\" < \$export_symbols > \$output_objdir/\${libname}-symbols.expsym~\$CC -dynamiclib \$allow_undefined_flag -o \$lib \$libobjs \$deplibs \$compiler_flags -install_name \$rpath/\$soname \$verstring~nmedit -s \$output_objdir/\${libname}-symbols.expsym \${lib}" 
    7689 postinstall_cmds="" 
    7690 postuninstall_cmds="" 
    7691  
    7692 # Commands used to build a loadable module (assumed same as above if empty) 
    7693 module_cmds="\$CC \$allow_undefined_flag -o \$lib -bundle \$libobjs \$deplibs\$compiler_flags" 
    7694 module_expsym_cmds="sed -e \\\"s,#.*,,\\\" -e \\\"s,^[    ]*,,\\\" -e \\\"s,^\\\\(..*\\\\),_&,\\\" < \$export_symbols > \$output_objdir/\${libname}-symbols.expsym~\$CC \$allow_undefined_flag  -o \$lib -bundle \$libobjs \$deplibs\$compiler_flags~nmedit -s \$output_objdir/\${libname}-symbols.expsym \${lib}" 
    7695  
    7696 # Commands to strip libraries. 
    7697 old_striplib="" 
    7698 striplib="strip -x" 
    7699  
    7700 # Dependencies to place before the objects being linked to create a 
    7701 # shared library. 
    7702 predep_objects="" 
    7703  
    7704 # Dependencies to place after the objects being linked to create a 
    7705 # shared library. 
    7706 postdep_objects="" 
    7707  
    7708 # Dependencies to place before the objects being linked to create a 
    7709 # shared library. 
    7710 predeps="" 
    7711  
    7712 # Dependencies to place after the objects being linked to create a 
    7713 # shared library. 
    7714 postdeps="" 
    7715  
    7716 # The library search path used internally by the compiler when linking 
    7717 # a shared library. 
    7718 compiler_lib_search_path="" 
    7719  
    7720 # Method to check whether dependent libraries are shared objects. 
    7721 deplibs_check_method="pass_all" 
    7722  
    7723 # Command to use when deplibs_check_method == file_magic. 
    7724 file_magic_cmd="\$MAGIC_CMD" 
    7725  
    7726 # Flag that allows shared libraries with undefined symbols to be built. 
    7727 allow_undefined_flag="\${wl}-flat_namespace \${wl}-undefined \${wl}suppress" 
    7728  
    7729 # Flag that forces no undefined symbols. 
    7730 no_undefined_flag="" 
    7731  
    7732 # Commands used to finish a libtool library installation in a directory. 
    7733 finish_cmds="" 
    7734  
    7735 # Same as above, but a single script fragment to be evaled but not shown. 
    7736 finish_eval="" 
    7737  
    7738 # Take the output of nm and produce a listing of raw symbols and C names. 
    7739 global_symbol_pipe="sed -n -e 's/^.*[   ]\\([BCDEGRST][BCDEGRST]*\\)[   ][      ]*_\\([_A-Za-z][_A-Za-z0-9]*\\)\$/\\1 _\\2 \\2/p'" 
    7740  
    7741 # Transform the output of nm in a proper C declaration 
    7742 global_symbol_to_cdecl="sed -n -e 's/^. .* \\(.*\\)\$/extern int \\1;/p'" 
    7743  
    7744 # Transform the output of nm in a C name address pair 
    7745 global_symbol_to_c_name_address="sed -n -e 's/^: \\([^ ]*\\) \$/  {\\\"\\1\\\", (lt_ptr) 0},/p' -e 's/^[BCDEGRST] \\([^ ]*\\) \\([^ ]*\\)\$/  {\"\\2\", (lt_ptr) \\&\\2},/p'" 
    7746  
    7747 # This is the shared library runtime path variable. 
    7748 runpath_var= 
    7749  
    7750 # This is the shared library path variable. 
    7751 shlibpath_var=DYLD_LIBRARY_PATH 
    7752  
    7753 # Is shlibpath searched before the hard-coded library search path? 
    7754 shlibpath_overrides_runpath=yes 
    7755  
    7756 # How to hardcode a shared library path into an executable. 
    7757 hardcode_action=immediate 
    7758  
    7759 # Whether we should hardcode library paths into libraries. 
    7760 hardcode_into_libs=no 
    7761  
    7762 # Flag to hardcode $libdir into a binary during linking. 
    7763 # This must work even if $libdir does not exist. 
    7764 hardcode_libdir_flag_spec="" 
    7765  
    7766 # If ld is used when linking, flag to hardcode $libdir into 
    7767 # a binary during linking. This must work even if $libdir does 
    7768 # not exist. 
    7769 hardcode_libdir_flag_spec_ld="" 
    7770  
    7771 # Whether we need a single -rpath flag with a separated argument. 
    7772 hardcode_libdir_separator="" 
    7773  
    7774 # Set to yes if using DIR/libNAME during linking hardcodes DIR into the 
    7775 # resulting binary. 
    7776 hardcode_direct=no 
    7777  
    7778 # Set to yes if using the -LDIR flag during linking hardcodes DIR into the 
    7779 # resulting binary. 
    7780 hardcode_minus_L=no 
    7781  
    7782 # Set to yes if using SHLIBPATH_VAR=DIR during linking hardcodes DIR into 
    7783 # the resulting binary. 
    7784 hardcode_shlibpath_var=unsupported 
    7785  
    7786 # Set to yes if building a shared library automatically hardcodes DIR into the library 
    7787 # and all subsequent libraries and executables linked against it. 
    7788 hardcode_automatic=yes 
    7789  
    7790 # Variables whose values should be saved in libtool wrapper scripts and 
    7791 # restored at relink time. 
    7792 variables_saved_for_relink="PATH DYLD_LIBRARY_PATH  GCC_EXEC_PREFIX COMPILER_PATH LIBRARY_PATH" 
    7793  
    7794 # Whether libtool must link a program against all its dependency libraries. 
    7795 link_all_deplibs=yes 
    7796  
    7797 # Compile-time system search path for libraries 
    7798 sys_lib_search_path_spec=" /usr/local/lib/gcc/i686-apple-darwin8.8.1/3.4.0/ /usr/lib/gcc/i686-apple-darwin8.8.1/3.4.0/ /usr/local/lib/gcc/i686-apple-darwin8.8.1/3.4.0/../../../../i686-apple-darwin8.8.1/lib/i686-apple-darwin8.8.1/3.4.0/ /usr/local/lib/gcc/i686-apple-darwin8.8.1/3.4.0/../../../../i686-apple-darwin8.8.1/lib/ /usr/local/lib/gcc/i686-apple-darwin8.8.1/3.4.0/../../../i686-apple-darwin8.8.1/3.4.0/ /usr/local/lib/gcc/i686-apple-darwin8.8.1/3.4.0/../../../ /lib/i686-apple-darwin8.8.1/3.4.0/ /lib/ /usr/lib/i686-apple-darwin8.8.1/3.4.0/ /usr/lib/  /lib /usr/lib /usr/local/lib" 
    7799  
    7800 # Run-time system search path for libraries 
    7801 sys_lib_dlsearch_path_spec="/usr/local/lib /lib /usr/lib" 
    7802  
    7803 # Fix the shell variable $srcfile for the compiler. 
    7804 fix_srcfile_path="" 
    7805  
    7806 # Set to yes if exported symbols are required. 
    7807 always_export_symbols=no 
    7808  
    7809 # The commands to list exported symbols. 
    7810 export_symbols_cmds="\$NM \$libobjs \$convenience | \$global_symbol_pipe | \$SED 's/.* //' | sort | uniq > \$export_symbols" 
    7811  
    7812 # The commands to extract the exported symbol list from a shared archive. 
    7813 extract_expsyms_cmds="" 
    7814  
    7815 # Symbols that should not be listed in the preloaded symbols. 
    7816 exclude_expsyms="_GLOBAL_OFFSET_TABLE_" 
    7817  
    7818 # Symbols that must always be exported. 
    7819 include_expsyms="" 
    7820  
    7821 # ### END LIBTOOL TAG CONFIG: F77 
    7822  
  • trunk/src/Makefile.in

    r373 r527  
    5151LTLIBRARIES = $(lib_LTLIBRARIES) 
    5252liblas_la_DEPENDENCIES = detail/liblasdetail.la 
    53 am_liblas_la_OBJECTS = lasheader.lo lasreader.lo las_c_api.lo \ 
    54         laspoint.lo laserror.lo laswriter.lo lasfile.lo 
     53am_liblas_la_OBJECTS = laserror.lo laspoint.lo lasheader.lo \ 
     54        lasrecordheader.lo lasreader.lo laswriter.lo lasfile.lo \ 
     55        las_c_api.lo 
    5556liblas_la_OBJECTS = $(am_liblas_la_OBJECTS) 
    5657liblas_la_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) \ 
     
    192193INCLUDES = -I../include -I../include/detail 
    193194lib_LTLIBRARIES = liblas.la 
    194 liblas_la_SOURCES = lasheader.cpp lasreader.cpp las_c_api.cpp laspoint.cpp laserror.cpp laswriter.cpp lasfile.cpp 
     195liblas_la_SOURCES = \ 
     196        laserror.cpp \ 
     197        laspoint.cpp \ 
     198        lasheader.cpp \ 
     199        lasrecordheader.cpp \ 
     200        lasreader.cpp \ 
     201        laswriter.cpp \ 
     202        lasfile.cpp \ 
     203        las_c_api.cpp 
     204 
    195205liblas_la_LIBADD = detail/liblasdetail.la 
    196206liblas_la_LDFLAGS = -version-info 1:0:0 
     
    270280@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/laspoint.Plo@am__quote@ 
    271281@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lasreader.Plo@am__quote@ 
     282@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lasrecordheader.Plo@am__quote@ 
    272283@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/laswriter.Plo@am__quote@ 
    273284